Bug 1333828 - python-setuptools_hg: Provide a Python 3 subpackage
Summary: python-setuptools_hg: Provide a Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-setuptools_hg
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Praveen Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-05-06 13:30 UTC by Tomas Orsava
Modified: 2017-02-23 19:19 UTC (History)
4 users (show)

Fixed In Version: python-setuptools_hg-0.4-1.fc25 python-setuptools_hg-0.4-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 16:55:10 UTC
Type: Bug


Attachments (Terms of Use)
add Python 3 & update version (3.68 KB, patch)
2016-09-01 08:22 UTC, Dominika Krejčí
no flags Details | Diff

Description Tomas Orsava 2016-05-06 13:30:03 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Kurik 2016-07-26 04:32:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Dominika Krejčí 2016-09-01 08:22:08 UTC
Created attachment 1196619 [details]
add Python 3 & update version

Hi Praveen,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15460598

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-25-x86_64, fedora-rawhide-x86_64, fedora-rawhide-i386).

Comment 3 Fedora Update System 2016-09-20 05:26:46 UTC
python-setuptools_hg-0.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f184b91ec4

Comment 4 Praveen Kumar 2016-09-20 05:31:58 UTC
I have built it for rawhide and f25,f24 branch.

Comment 5 Fedora Update System 2016-09-20 05:32:30 UTC
python-setuptools_hg-0.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-29d10c4b8f

Comment 6 Fedora Update System 2016-09-20 19:56:58 UTC
python-setuptools_hg-0.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f184b91ec4

Comment 7 Fedora Update System 2016-09-22 01:25:42 UTC
python-setuptools_hg-0.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-29d10c4b8f

Comment 8 Fedora Update System 2017-02-23 18:51:12 UTC
python-setuptools_hg-0.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-02-23 19:19:39 UTC
python-setuptools_hg-0.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.